package hmggirlfront;

import gvclib.Createjson;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;
import net.minecraft.item.Item;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.client.model.ModelLoader;

public class GFModelRegistry {
	public static void registry(mod_GirlFront mod, ModelRegistryEvent event){
			{
				/*ModelBakery.registerItemVariants(Item.getItemFromBlock(bdoll_crafting), 
						new ModelResourceLocation("hmggirlfront:" + "bdoll_crafting"));*/
				ModelLoader.setCustomModelResourceLocation(Item.getItemFromBlock(mod.bdoll_crafting), 
						0, new ModelResourceLocation("hmggirlfront:" + "bdoll_crafting", "inventory"));
				ModelLoader.setCustomModelResourceLocation(Item.getItemFromBlock(mod.bdoll_dismantling), 
						0, new ModelResourceLocation("hmggirlfront:" + "bdoll_dismantling", "inventory"));
				ModelLoader.setCustomModelResourceLocation(Item.getItemFromBlock(mod.bdoll_doll_Restoring_machine), 
						0, new ModelResourceLocation("hmggirlfront:" + "bdoll_doll_restoring_machine", "inventory"));
			}
			boolean debag = true;
			
			Createjson.addjsonblock_tile_facing(mod.bdoll_supplies, mod.MOD_ID, "bdoll_supplies", debag);
			Createjson.addjsonblock_tile(mod.bdoll_point, mod.MOD_ID, "bdoll_point", debag);
			
			Createjson.addjsonblock(mod.bdoll_frontlinebase, mod.MOD_ID, "bdoll_frontlinebase", debag);
			
			Createjson.addjsonblock(mod.base_materials, mod.MOD_ID, "base_materials", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_materials, mod.MOD_ID, "bdoll_base_materials", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_materials_em, mod.MOD_ID, "bdoll_base_materials_em", debag);
			
			Createjson.addjsonblock(mod.base_fieldhospital, mod.MOD_ID, "base_fieldhospital", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_fieldhospital, mod.MOD_ID, "bdoll_base_fieldhospital", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_fieldhospital_em, mod.MOD_ID, "bdoll_base_fieldhospital_em", debag);
			
			Createjson.addjsonblock(mod.base_munitionsdepot, mod.MOD_ID, "base_munitionsdepot", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_munitionsdepot, mod.MOD_ID, "bdoll_base_munitionsdepot", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_munitionsdepot_em, mod.MOD_ID, "bdoll_base_munitionsdepot_em", debag);
			
			Createjson.addjsonblock(mod.base_bunker, mod.MOD_ID, "base_bunker", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_bunker, mod.MOD_ID, "bdoll_base_bunker", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_bunker_em, mod.MOD_ID, "bdoll_base_bunker_em", debag);
			
			Createjson.addjsonblock(mod.base_desert_camp, mod.MOD_ID, "base_desert_camp", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_desert_camp, mod.MOD_ID, "bdoll_base_desert_camp", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_desert_camp_em, mod.MOD_ID, "bdoll_base_desert_camp_em", debag);
			
			Createjson.addjsonblock(mod.base_snow_camp, mod.MOD_ID, "base_snow_camp", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_snow_camp, mod.MOD_ID, "bdoll_base_snow_camp", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_snow_camp_em, mod.MOD_ID, "bdoll_base_snow_camp_em", debag);
			
			Createjson.addjsonblock(mod.base_snow_camp2, mod.MOD_ID, "base_snow_camp2", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_snow_camp2, mod.MOD_ID, "bdoll_base_snow_camp2", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_snow_camp2_em, mod.MOD_ID, "bdoll_base_snow_camp2_em", debag);
			
			Createjson.addjsonblock(mod.base_snowforest_camp, mod.MOD_ID, "base_snowforest_camp", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_snowforest_camp, mod.MOD_ID, "bdoll_base_snowforest_camp", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_snowforest_camp_em, mod.MOD_ID, "bdoll_base_snowforest_camp_em", debag);
			
			
			
			Createjson.addjsonblock(mod.base_helipad, mod.MOD_ID, "base_helipad", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_helipad, mod.MOD_ID, "bdoll_base_helipad", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_helipad_em, mod.MOD_ID, "bdoll_base_helipad_em", debag);
			
			Createjson.addjsonblock(mod.base_substation, mod.MOD_ID, "base_substation", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_substation, mod.MOD_ID, "bdoll_base_substation", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_substation_em, mod.MOD_ID, "bdoll_base_substation_em", debag);
			
			Createjson.addjsonblock(mod.base_wastecollection, mod.MOD_ID, "base_wastecollection", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_wastecollection, mod.MOD_ID, "bdoll_base_wastecollection", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_wastecollection_em, mod.MOD_ID, "bdoll_base_wastecollection_em", debag);
			
			Createjson.addjsonblock(mod.base_helipad_de, mod.MOD_ID, "base_helipad_de", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_helipad_de, mod.MOD_ID, "bdoll_base_helipad_de", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_helipad_de_em, mod.MOD_ID, "bdoll_base_helipad_de_em", debag);
			
			Createjson.addjsonblock(mod.base_oilwell, mod.MOD_ID, "base_oilwell", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_oilwell, mod.MOD_ID, "bdoll_base_oilwell", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_oilwell_em, mod.MOD_ID, "bdoll_base_oilwell_em", debag);
			
			Createjson.addjsonblock(mod.base_helipad_mt, mod.MOD_ID, "base_helipad_mt", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_helipad_mt, mod.MOD_ID, "bdoll_base_helipad_mt", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_helipad_mt_em, mod.MOD_ID, "bdoll_base_helipad_mt_em", debag);
			
			Createjson.addjsonblock(mod.base_coalmine, mod.MOD_ID, "base_coalmine", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_coalmine, mod.MOD_ID, "bdoll_base_coalmine", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_coalmine_em, mod.MOD_ID, "bdoll_base_coalmine_em", debag);
			
			Createjson.addjsonblock(mod.base_helipad_se, mod.MOD_ID, "base_helipad_se", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_helipad_se, mod.MOD_ID, "bdoll_base_helipad_se", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_helipad_se_em, mod.MOD_ID, "bdoll_base_helipad_se_em", debag);
			
			Createjson.addjsonblock(mod.base_wastecarrier, mod.MOD_ID, "base_wastecarrier", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_wastecarrier, mod.MOD_ID, "bdoll_base_wastecarrier", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_wastecarrier_em, mod.MOD_ID, "bdoll_base_wastecarrier_em", debag);
			
			Createjson.addjsonblock(mod.base_containership, mod.MOD_ID, "base_containership", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_containership, mod.MOD_ID, "bdoll_base_containership", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_containership_em, mod.MOD_ID, "bdoll_base_containership_em", debag);
			
			Createjson.addjsonblock(mod.base_offshorecrane, mod.MOD_ID, "base_offshorecrane", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_offshorecrane, mod.MOD_ID, "bdoll_base_offshorecrane", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_offshorecrane_em, mod.MOD_ID, "bdoll_base_offshorecrane_em", debag);
			
			Createjson.addjsonblock(mod.base_antennabase, mod.MOD_ID, "base_antennabase", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_antennabase, mod.MOD_ID, "bdoll_base_antennabase", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_antennabase_em, mod.MOD_ID, "bdoll_base_antennabase_em", debag);
			
			Createjson.addjsonblock(mod.base_antennabase_de, mod.MOD_ID, "base_antennabase_de", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_antennabase_de, mod.MOD_ID, "bdoll_base_antennabase_de", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_antennabase_de_em, mod.MOD_ID, "bdoll_base_antennabase_de_em", debag);
			
			Createjson.addjsonblock(mod.base_antennabase_mt, mod.MOD_ID, "base_antennabase_mt", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_antennabase_mt, mod.MOD_ID, "bdoll_base_antennabase_mt", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_antennabase_mt_em, mod.MOD_ID, "bdoll_base_antennabase_mt_em", debag);
			
			
			
			
			
			Createjson.addjsonblock(mod.base_headquarters, mod.MOD_ID, "base_headquarters", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_headquarters, mod.MOD_ID, "bdoll_base_headquarters", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_headquarters_em, mod.MOD_ID, "bdoll_base_headquarters_em", debag);
			Createjson.addjsonblock(mod.help_base_headquarters, mod.MOD_ID, "help_base_headquarters", debag);
			
			Createjson.addjsonblock(mod.base_oil_complex, mod.MOD_ID, "base_oil_complex", debag);
			Createjson.addjsonblock(mod.help_base_oil_complex, mod.MOD_ID, "help_base_oil_complex", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_oil_complex, mod.MOD_ID, "bdoll_base_oil_complex", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_oil_complex_em, mod.MOD_ID, "bdoll_base_oil_complex_em", debag);
			
			Createjson.addjsonblock(mod.base_desert_base, mod.MOD_ID, "base_desert_base", debag);
			Createjson.addjsonblock(mod.help_base_desert_base, mod.MOD_ID, "help_base_desert_base", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_desert_base, mod.MOD_ID, "bdoll_base_desert_base", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_desert_base_em, mod.MOD_ID, "bdoll_base_desert_base_em", debag);
			
			Createjson.addjsonblock(mod.base_forest_base, mod.MOD_ID, "base_forest_base", debag);
			Createjson.addjsonblock(mod.help_base_forest_base, mod.MOD_ID, "help_base_forest_base", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_forest_base, mod.MOD_ID, "bdoll_base_forest_base", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_forest_base_em, mod.MOD_ID, "bdoll_base_forest_base_em", debag);
			
			Createjson.addjsonblock(mod.base_sea_launch, mod.MOD_ID, "base_sea_launch", debag);
			Createjson.addjsonblock(mod.help_base_sea_launch, mod.MOD_ID, "help_base_sea_launch", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_sea_launch, mod.MOD_ID, "bdoll_base_sea_launch", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_sea_launch_em, mod.MOD_ID, "bdoll_base_sea_launch_em", debag);
			
			Createjson.addjsonblock(mod.base_amusement, mod.MOD_ID, "base_amusement", debag);
			Createjson.addjsonblock(mod.help_base_amusement, mod.MOD_ID, "help_base_amusement", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_amusement, mod.MOD_ID, "bdoll_base_amusement", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_amusement_em, mod.MOD_ID, "bdoll_base_amusement_em", debag);
			
			Createjson.addjsonblock(mod.base_observation_base, mod.MOD_ID, "base_observation_base", debag);
			Createjson.addjsonblock(mod.help_base_observation_base, mod.MOD_ID, "help_base_observation_base", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_observation_base, mod.MOD_ID, "bdoll_base_observation_base", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_observation_base_em, mod.MOD_ID, "bdoll_base_observation_base_em", debag);
			
			Createjson.addjsonblock(mod.base_mansion, mod.MOD_ID, "base_mansion", debag);
			Createjson.addjsonblock(mod.help_base_mansion, mod.MOD_ID, "help_base_mansion", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_mansion, mod.MOD_ID, "bdoll_base_mansion", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_mansion_em, mod.MOD_ID, "bdoll_base_mansion_em", debag);
			
			Createjson.addjsonblock(mod.base_missile_silo, mod.MOD_ID, "base_missile_silo", debag);
			Createjson.addjsonblock(mod.help_base_missile_silo, mod.MOD_ID, "help_base_missile_silo", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_missile_silo, mod.MOD_ID, "bdoll_base_missile_silo", debag);
			Createjson.addjsonblock_tile(mod.bdoll_base_missile_silo_em, mod.MOD_ID, "bdoll_base_missile_silo_em", debag);
			
			
			Createjson.addjsonblock(mod.bdoll_ibc01, mod.MOD_ID, "bdoll_ibc01", debag);
			Createjson.addjsonblock(mod.bdoll_ibc02, mod.MOD_ID, "bdoll_ibc02", debag);
			Createjson.addjsonblock(mod.bdoll_ibc03, mod.MOD_ID, "bdoll_ibc03", debag);
			Createjson.addjsonblock(mod.bdoll_ibc04, mod.MOD_ID, "bdoll_ibc04", debag);
			Createjson.addjsonblock(mod.bdoll_ibc05, mod.MOD_ID, "bdoll_ibc05", debag);
			Createjson.addjsonblock(mod.bdoll_ibc06, mod.MOD_ID, "bdoll_ibc06", debag);
			Createjson.addjsonblock(mod.bdoll_ibc07, mod.MOD_ID, "bdoll_ibc07", debag);
			
			Createjson.addjsonblock(mod.bdoll_ibc08, mod.MOD_ID, "bdoll_ibc08", debag);
			Createjson.addjsonblock(mod.bdoll_ibc09, mod.MOD_ID, "bdoll_ibc09", debag);
			Createjson.addjsonblock(mod.bdoll_ibc01turret, mod.MOD_ID, "bdoll_ibc01turret", debag);
			Createjson.addjsonblock(mod.bdoll_ibc10turret, mod.MOD_ID, "bdoll_ibc10turret", debag);
			Createjson.addjsonblock(mod.bdoll_ibc11, mod.MOD_ID, "bdoll_ibc11", debag);
			Createjson.addjsonblock(mod.bdoll_ibc12, mod.MOD_ID, "bdoll_ibc12", debag);
			Createjson.addjsonblock(mod.bdoll_ibc13, mod.MOD_ID, "bdoll_ibc13", debag);
			Createjson.addjsonblock(mod.bdoll_ibc14, mod.MOD_ID, "bdoll_ibc14", debag);
			Createjson.addjsonblock(mod.bdoll_ibcml, mod.MOD_ID, "bdoll_ibcml", debag);
			Createjson.addjsonblock(mod.bdoll_ibc_jupiter, mod.MOD_ID, "bdoll_ibc_jupiter", debag);
			Createjson.addjsonblock(mod.bdoll_ibc_generator, mod.MOD_ID, "bdoll_ibc_generator", debag);
			Createjson.addjsonblock_tile(mod.bdoll_ibc_boss01, mod.MOD_ID, "bdoll_ibc_boss01", debag);
			Createjson.addjsonblock_tile(mod.bdoll_ibc_boss02, mod.MOD_ID, "bdoll_ibc_boss02", debag);
			Createjson.addjsonblock_tile(mod.bdoll_ibc_boss03, mod.MOD_ID, "bdoll_ibc_boss03", debag);
			Createjson.addjsonblock_tile(mod.bdoll_ibc_boss04, mod.MOD_ID, "bdoll_ibc_boss04", debag);
			Createjson.addjsonblock_tile(mod.bdoll_ibc_boss05, mod.MOD_ID, "bdoll_ibc_boss05", debag);
			Createjson.addjsonblock_tile(mod.bdoll_ibc_boss06, mod.MOD_ID, "bdoll_ibc_boss06", debag);
			Createjson.addjsonblock_tile(mod.bdoll_ibc_boss07, mod.MOD_ID, "bdoll_ibc_boss07", debag);
			Createjson.addjsonblock_tile(mod.bdoll_ibc_boss08, mod.MOD_ID, "bdoll_ibc_boss08", debag);
			
			Createjson.addjsonblock(mod.bsocom_cyclops, mod.MOD_ID, "bsocom_cyclops", debag);
			Createjson.addjsonblock(mod.bsocom_aegis, mod.MOD_ID, "bsocom_aegis", debag);
			Createjson.addjsonblock(mod.bsocom_cerynitis, mod.MOD_ID, "bsocom_cerynitis", debag);
			Createjson.addjsonblock(mod.bsocom_hydra, mod.MOD_ID, "bsocom_hydra", debag);
			
			
			Createjson.addjsonblock_tile(mod.b_goods_ibc01_break, mod.MOD_ID, "b_goods_ibc01_break", debag);
			Createjson.addjsonblock_tile(mod.b_goods_tank_break, mod.MOD_ID, "b_goods_tank_break", debag);
			Createjson.addjsonblock(mod.b_block_collapse, mod.MOD_ID, "b_block_collapse", debag);
			//Createjson.addjsonblock_tile_facing(mod.b_block_collapse_grass, mod.MOD_ID, "b_block_collapse_grass", debag);
			{
				ModelLoader.setCustomModelResourceLocation(Item.getItemFromBlock(mod.b_block_collapse_grass), 
						0, new ModelResourceLocation("hmggirlfront:" + "b_block_collapse_grass", "inventory"));
			}
			Createjson.addjsonblock(mod.b_block_collapse_hv, mod.MOD_ID, "b_block_collapse_hv", debag);
			
			Createjson.addjsonblock_tile(mod.b_spanwer_ibc01, mod.MOD_ID, "b_spanwer_ibc01", debag);
			Createjson.addjsonblock_tile(mod.b_spanwer_ibc04, mod.MOD_ID, "b_spanwer_ibc04", debag);
			Createjson.addjsonblock_tile(mod.b_spanwer_ibc05, mod.MOD_ID, "b_spanwer_ibc05", debag);
			Createjson.addjsonblock_tile(mod.b_spanwer_ibc06, mod.MOD_ID, "b_spanwer_ibc06", debag);
			Createjson.addjsonblock_tile(mod.b_spanwer_ibc07, mod.MOD_ID, "b_spanwer_ibc07", debag);
			Createjson.addjsonblock_tile(mod.b_spanwer_ibc13, mod.MOD_ID, "b_spanwer_ibc13", debag);
			Createjson.addjsonblock_tile(mod.b_spanwer_ibc14, mod.MOD_ID, "b_spanwer_ibc14", debag);
			
			
			Createjson.addjsonblock_tile_facing(mod.b_block_camonet1_df, mod.MOD_ID, "b_block_camonet1_df", debag);
			
			Createjson.addjsonblock_tile(mod.b_block_ammobox1_df, mod.MOD_ID, "b_block_ammobox1_df", debag);
			Createjson.addjsonblock_tile(mod.b_block_barrel_drum1_df, mod.MOD_ID, "b_block_barrel_drum1_df", debag);
			Createjson.addjsonblock_tile(mod.b_block_barrel_drum2_df, mod.MOD_ID, "b_block_barrel_drum2_df", debag);
			ModelLoader.setCustomModelResourceLocation(Item.getItemFromBlock(mod.b_block_hesco_df), 
					0, new ModelResourceLocation("hmggirlfront:" + "b_block_hesco_df", "inventory"));
			Createjson.addjsonblock_tile_facing(mod.b_block_laptop_df, mod.MOD_ID, "b_block_laptop_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_monitor1_df, mod.MOD_ID, "b_block_monitor1_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_sincgars_df, mod.MOD_ID, "b_block_sincgars_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_toughbook_df, mod.MOD_ID, "b_block_toughbook_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_9mmpack_df, mod.MOD_ID, "b_block_9mmpack_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_12gpack_df, mod.MOD_ID, "b_block_12gpack_df", debag);
			Createjson.addjsonblock_tile(mod.b_block_40mmgr_ammo_df, mod.MOD_ID, "b_block_40mmgr_ammo_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_556pack_df, mod.MOD_ID, "b_block_556pack_df", debag);
			Createjson.addjsonblock_tile(mod.b_block_ammobox2_df, mod.MOD_ID, "b_block_ammobox2_df", debag);
			ModelLoader.setCustomModelResourceLocation(Item.getItemFromBlock(mod.b_block_box1_iop), 
					0, new ModelResourceLocation("hmggirlfront:" + "b_block_box1_iop", "inventory"));
			Createjson.addjsonblock_tile_facing(mod.b_block_collapse_bombe, mod.MOD_ID, "b_block_collapse_bombe", debag);
			ModelLoader.setCustomModelResourceLocation(Item.getItemFromBlock(mod.b_block_epiphyllum1), 
					0, new ModelResourceLocation("hmggirlfront:" + "b_block_epiphyllum1", "inventory"));
			ModelLoader.setCustomModelResourceLocation(Item.getItemFromBlock(mod.b_block_epiphyllum2), 
					0, new ModelResourceLocation("hmggirlfront:" + "b_block_epiphyllum2", "inventory"));
			Createjson.addjsonblock_tile_facing(mod.b_block_jutebag_df, mod.MOD_ID, "b_block_jutebag_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_medbag_df, mod.MOD_ID, "b_block_medbag_df", debag);
			Createjson.addjsonblock(mod.b_block_rcc_df, mod.MOD_ID, "b_block_rcc_df", debag);
			
			Createjson.addjsonblock_tile_facing(mod.b_block_416nui, mod.MOD_ID, "b_block_416nui", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_g36nui, mod.MOD_ID, "b_block_g36nui", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_kalinui, mod.MOD_ID, "b_block_kalinui", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_mg36nui, mod.MOD_ID, "b_block_mg36nui", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_roprowler, mod.MOD_ID, "b_block_roprowler", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_soptwonui, mod.MOD_ID, "b_block_soptwonui", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_wa2000nui, mod.MOD_ID, "b_block_wa2000nui", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_rfbnui, mod.MOD_ID, "b_block_rfbnui", debag);
			
			Createjson.addjsonblock_tile_facing(mod.b_block_gunrack_htgk, mod.MOD_ID, "b_block_gunrack_htgk", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_gunrack_rsgk, mod.MOD_ID, "b_block_gunrack_rsgk", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_gunrack_rtgk1, mod.MOD_ID, "b_block_gunrack_rtgk1", debag);
			
			Createjson.addjsonblock_tile_facing(mod.b_block_57pack_df, mod.MOD_ID, "b_block_57pack_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_114pack_df, mod.MOD_ID, "b_block_114pack_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_473pack_df, mod.MOD_ID, "b_block_473pack_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_762pack_df, mod.MOD_ID, "b_block_762pack_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_at_obstacles2, mod.MOD_ID, "b_block_at_obstacles2", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_barbed1_df, mod.MOD_ID, "b_block_barbed1_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_barbed2_df, mod.MOD_ID, "b_block_barbed2_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_fire_exti_df, mod.MOD_ID, "b_block_fire_exti_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_Jerrycan1_df, mod.MOD_ID, "b_block_jerrycan1_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_mil_cont1_df, mod.MOD_ID, "b_block_mil_cont1_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_mil_cont2_df, mod.MOD_ID, "b_block_mil_cont2_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_odunit_df, mod.MOD_ID, "b_block_odunit_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_sandbag_a1_df, mod.MOD_ID, "b_block_sandbag_a1_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_sandbag_a2_df, mod.MOD_ID, "b_block_sandbag_a2_df", debag);
			ModelLoader.setCustomModelResourceLocation(Item.getItemFromBlock(mod.b_block_sandbag_b1_df), 
					0, new ModelResourceLocation("hmggirlfront:" + "b_block_sandbag_b1_df", "inventory"));
			Createjson.addjsonblock_tile_facing(mod.b_block_sandbag_b2_df, mod.MOD_ID, "b_block_sandbag_b2_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_server_cont1_df, mod.MOD_ID, "b_block_server_cont1_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_server_cont2_df, mod.MOD_ID, "b_block_server_cont2_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_t_wall1_df, mod.MOD_ID, "b_block_t_wall1_df", debag);
			Createjson.addjsonblock_tile_facing(mod.b_block_t_wall2_df, mod.MOD_ID, "b_block_t_wall2_df", debag);
			
		{
			Createjson.addjson_domain(mod.idoll_pad, mod.MOD_ID, "idoll_pad", "item", debag);
			
			Createjson.addjson_domain(mod.idoll_hp, mod.MOD_ID, "idoll_hp", "item", debag);
			Createjson.addjson_domain(mod.idoll_bullet, mod.MOD_ID, "idoll_bullet", "item", debag);
			Createjson.addjson_domain(mod.idoll_food, mod.MOD_ID, "idoll_food", "item", debag);
			Createjson.addjson_domain(mod.idoll_parts, mod.MOD_ID, "idoll_parts", "item", debag);
			Createjson.addjson_domain(mod.idoll_doll_contract, mod.MOD_ID, "idoll_doll_contract", "item", debag);
			Createjson.addjson_domain(mod.idoll_doll_rapidcontract, mod.MOD_ID, "idoll_doll_rapidcontract", "item",debag);
			Createjson.addjson_domain(mod.idoll_doll_repair, mod.MOD_ID, "idoll_doll_repair", "item", debag);
			Createjson.addjson_domain(mod.idoll_doll_dismantling, mod.MOD_ID, "idoll_doll_dismantling", "item", debag);
			Createjson.addjson_domain(mod.idoll_doll_report, mod.MOD_ID, "idoll_doll_report", "item", debag);
			Createjson.addjson_domain(mod.idoll_squad_cn, mod.MOD_ID, "idoll_squad_cn", "item", debag);
			Createjson.addjson_domain(mod.idoll_core, mod.MOD_ID, "idoll_core", "item", debag);
			Createjson.addjson_domain(mod.idoll_bullet_9, mod.MOD_ID, "idoll_bullet_9", "item", debag);
			Createjson.addjson_domain(mod.idoll_bullet_45, mod.MOD_ID, "idoll_bullet_45", "item", debag);
			Createjson.addjson_domain(mod.idoll_bullet_556, mod.MOD_ID, "idoll_bullet_556", "item", debag);
			Createjson.addjson_domain(mod.idoll_bullet_762, mod.MOD_ID, "idoll_bullet_762", "item", debag);
			Createjson.addjson_domain(mod.idoll_bullet_12g, mod.MOD_ID, "idoll_bullet_12g", "item", debag);
			Createjson.addjson_domain(mod.idoll_bullet_57, mod.MOD_ID, "idoll_bullet_57", "item", debag);
			Createjson.addjson_domain(mod.idoll_bullet_473kr, mod.MOD_ID, "idoll_bullet_473kr", "item", debag);
			Createjson.addjson_domain(mod.idoll_bullet_40, mod.MOD_ID, "idoll_bullet_40", "item", debag);
			Createjson.addjson_domain(mod.idoll_bandage, mod.MOD_ID, "idoll_bandage", "item", debag);
			Createjson.addjson_domain(mod.idoll_pledge, mod.MOD_ID, "idoll_pledge", "item", debag);
			Createjson.addjson_domain(mod.idoll_l_performance_circuit, mod.MOD_ID, "idoll_l_performance_circuit", "item", debag);
			Createjson.addjson_domain(mod.idoll_h_performance_circuit, mod.MOD_ID, "idoll_h_performance_circuit", "item", debag);
			Createjson.addjson_domain(mod.idoll_collapse_sample, mod.MOD_ID, "idoll_collapse_sample", "item", debag);
			
			Createjson.addjson_domain(mod.mission_card_1, mod.MOD_ID, "mission_card_1", "item", debag);
			Createjson.addjson_domain(mod.mission_card_2, mod.MOD_ID, "mission_card_2", "item", debag);
			Createjson.addjson_domain(mod.mission_card_3, mod.MOD_ID, "mission_card_3", "item", debag);
			Createjson.addjson_domain(mod.mission_card_4, mod.MOD_ID, "mission_card_4", "item", debag);
			Createjson.addjson_domain(mod.mission_card_5, mod.MOD_ID, "mission_card_5", "item", debag);
			Createjson.addjson_domain(mod.mission_card_6, mod.MOD_ID, "mission_card_6", "item", debag);
			Createjson.addjson_domain(mod.story_mission_card_1, mod.MOD_ID, "story_mission_card_1", "item", debag);
			Createjson.addjson_domain(mod.story_mission_card_2, mod.MOD_ID, "story_mission_card_2", "item", debag);
			Createjson.addjson_domain(mod.story_mission_card_3, mod.MOD_ID, "story_mission_card_3", "item", debag);
			
			
			Createjson.addjson_domain(mod.gk_kalina, mod.MOD_ID, "gk_kalina", "spawn", debag);
			Createjson.addjson_domain(mod.helianthus, mod.MOD_ID, "helianthus", "spawn", debag);
			Createjson.addjson_domain(mod.gk_kryuger, mod.MOD_ID, "gk_kryuger", "spawn", debag);
			Createjson.addjson_domain(mod.gk_springfield, mod.MOD_ID, "gk_springfield", "spawn", debag);
			
			Createjson.addjson_domain(mod.ve_weaponchange, mod.MOD_ID, "ve_weaponchange", "item", debag);
			Createjson.addjson_domain(mod.ve_heli, mod.MOD_ID, "ve_heli", "spawn", debag);
			Createjson.addjson_domain(mod.ve_apc, mod.MOD_ID, "ve_apc", "spawn", debag);
			Createjson.addjson_domain(mod.ve_bike, mod.MOD_ID, "ve_bike", "spawn", debag);
			Createjson.addjson_domain(mod.ve_ifv, mod.MOD_ID, "ve_ifv", "spawn", debag);
			Createjson.addjson_domain(mod.ve_truck, mod.MOD_ID, "ve_truck", "spawn", debag);
			Createjson.addjson_domain(mod.ve_hmmwv, mod.MOD_ID, "ve_hmmwv", "spawn", debag);
			Createjson.addjson_domain(mod.ve_rhib, mod.MOD_ID, "ve_rhib", "spawn", debag);
			
			
			Createjson.addjson_domain(mod.doll_tool_combatknife, mod.MOD_ID, "doll_tool_combatknife", "item", debag);
			Createjson.addjson_domain(mod.doll_tool_mshovel, mod.MOD_ID, "doll_tool_mshovel", "item", debag);
			Createjson.addjson_domain(mod.doll_tool_mpickaxe, mod.MOD_ID, "doll_tool_mpickaxe", "item", debag);
			Createjson.addjson_domain(mod.doll_tool_maxe, mod.MOD_ID, "doll_tool_maxe", "item", debag);
			
			Createjson.addjson_domain(mod.doll_tool_soflam, mod.MOD_ID, "doll_tool_soflam", "item", debag);
			
			
			Createjson.addjson_domain(mod.ibc01, mod.MOD_ID, "ibc01","spawn", debag);
			Createjson.addjson_domain(mod.ibc02, mod.MOD_ID, "ibc02","spawn", debag);
			Createjson.addjson_domain(mod.ibc03, mod.MOD_ID, "ibc03","spawn", debag);
			Createjson.addjson_domain(mod.ibc04, mod.MOD_ID, "ibc04","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibc04smg, "hmggirlfront", "dollgun_ibc04smg", "gun", debag);
			Createjson.addjson_domain(mod.ibc05, mod.MOD_ID, "ibc05","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibc05ar, "hmggirlfront", "dollgun_ibc05ar", "gun", debag);
			Createjson.addjson_domain(mod.ibc06, mod.MOD_ID, "ibc06","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibc06rf, "hmggirlfront", "dollgun_ibc06rf", "gun", debag);
			Createjson.addjson_domain(mod.ibc07, mod.MOD_ID, "ibc07","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibc07hg, "hmggirlfront", "dollgun_ibc07hg", "gun", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibc07sd, "hmggirlfront", "dollgun_ibc07sd", "gun", debag);
			Createjson.addjson_domain(mod.ibc08, mod.MOD_ID, "ibc08","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibc08sw, "hmggirlfront", "dollgun_ibc08sw", "gun", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibc08sd, "hmggirlfront", "dollgun_ibc08sd", "gun", debag);
			Createjson.addjson_domain(mod.ibc09, mod.MOD_ID, "ibc09","spawn", debag);
			Createjson.addjson_domain(mod.ibc10, mod.MOD_ID, "ibc10","spawn", debag);
			Createjson.addjson_domain(mod.ibc11, mod.MOD_ID, "ibc11","spawn", debag);
			Createjson.addjson_domain(mod.ibc12, mod.MOD_ID, "ibc12","spawn", debag);
			Createjson.addjson_domain(mod.ibc13, mod.MOD_ID, "ibc13","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibc13glg, "hmggirlfront", "dollgun_ibc13glg", "gun", debag);
			Createjson.addjson_domain(mod.ibc14, mod.MOD_ID, "ibc14","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibc14sw, "hmggirlfront", "dollgun_ibc14sw", "gun", debag);
			Createjson.addjson_domain(mod.ibc_jupiter, mod.MOD_ID, "ibc_jupiter","spawn", debag);
			Createjson.addjson_domain(mod.ibc_generator, mod.MOD_ID, "ibc_generator","spawn", debag);
			Createjson.addjson_domain(mod.ibc01turret, mod.MOD_ID, "ibc01turret","spawn", debag);
			Createjson.addjson_domain(mod.ibc10turret, mod.MOD_ID, "ibc10turret","spawn", debag);
			Createjson.addjson_domain(mod.ibc_boss01, mod.MOD_ID, "ibc_boss01","spawn", debag);
			Createjson.addjson_domain(mod.ibc_boss02, mod.MOD_ID, "ibc_boss02","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibcboss02hg, "hmggirlfront", "dollgun_ibcboss02hg", "gun", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibcboss02sw, "hmggirlfront", "dollgun_ibcboss02sw", "gun", debag);
			Createjson.addjson_domain(mod.ibc_boss03, mod.MOD_ID, "ibc_boss03","spawn", debag);
			Createjson.addjson_domain(mod.ibc_boss04, mod.MOD_ID, "ibc_boss04","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibcboss04glg, "hmggirlfront", "dollgun_ibcboss04glg", "gun", debag);
			Createjson.addjson_domain(mod.ibc_boss05, mod.MOD_ID, "ibc_boss05","spawn", debag);
			Createjson.addjson_domain(mod.ibc_boss06, mod.MOD_ID, "ibc_boss06","spawn", debag);
			Createjson.addjson_domain(mod.ibc_boss07, mod.MOD_ID, "ibc_boss07","spawn", debag);
			Createjson.addjsongun_domain(mod.dollgun_ibcboss07rf, "hmggirlfront", "dollgun_ibcboss07rf", "gun", debag);
			Createjson.addjson_domain(mod.ibc_boss08, mod.MOD_ID, "ibc_boss08","spawn", debag);
			
			
			Createjson.addjson_domain(mod.socom_cyclops, mod.MOD_ID, "socom_cyclops","spawn", debag);
			Createjson.addjson_domain(mod.socom_aegis, mod.MOD_ID, "socom_aegis","spawn", debag);
			Createjson.addjson_domain(mod.socom_cerynitis, mod.MOD_ID, "socom_cerynitis","spawn", debag);
			Createjson.addjson_domain(mod.socom_hydra, mod.MOD_ID, "socom_hydra","spawn", debag);
			
			Createjson.addjson_domain(mod.elid_zombie, mod.MOD_ID, "elid_zombie","spawn", debag);
			Createjson.addjson_domain(mod.elid_skeleten, mod.MOD_ID, "elid_skeleten","spawn", debag);
			
			Createjson.addjson_domain(mod.npc_isomer, mod.MOD_ID, "npc_isomer", "spawn", debag);
			Createjson.addjsonblock(mod.b_npc_isomer, mod.MOD_ID, "b_npc_isomer", debag);
			
			Createjson.addjson_domain(mod.paradeus_nyto_obelisk, mod.MOD_ID, "paradeus_nyto_obelisk","spawn", debag);
			Createjson.addjson_domain(mod.paradeus_nyto_polarday, mod.MOD_ID, "paradeus_nyto_polarday","spawn", debag);
			Createjson.addjson_domain(mod.paradeus_nyto_nomal, mod.MOD_ID, "paradeus_nyto_nomal","spawn", debag);
			Createjson.addjson_domain(mod.paradeus_nyto_eot_1, mod.MOD_ID, "paradeus_nyto_eot_1","spawn", debag);
		}
		{
			Createjson.addjsongun_domain(mod.idoll_grenade_n, "hmggirlfront", "idoll_grenade_n", "gun", debag);
			Createjson.addjsongun_domain(mod.idoll_grenade_f, "hmggirlfront", "idoll_grenade_f", "gun", debag);
			Createjson.addjsongun_domain(mod.idoll_grenade_s, "hmggirlfront", "idoll_grenade_s", "gun", debag);
			Createjson.addjsongun_domain(mod.idoll_grenade_fb, "hmggirlfront", "idoll_grenade_fb", "gun", debag);
		}
		{
			Createjson.addjson_domain(mod.armor_gk_uniform_head, "hmggirlfront", "armor_gk_uniform_head", "armor", debag);
			Createjson.addjson_domain(mod.armor_gk_uniform_chest, "hmggirlfront", "armor_gk_uniform_chest", "armor", debag);
			Createjson.addjson_domain(mod.armor_gk_uniform_legs, "hmggirlfront", "armor_gk_uniform_legs", "armor", debag);
			Createjson.addjson_domain(mod.armor_gk_uniform_feet, "hmggirlfront", "armor_gk_uniform_feet", "armor", debag);
			Createjson.addjson_domain(mod.armor_pmc_head, "hmggirlfront", "armor_pmc_head", "armor", debag);
			Createjson.addjson_domain(mod.armor_pmc_chest, "hmggirlfront", "armor_pmc_chest", "armor", debag);
			Createjson.addjson_domain(mod.armor_pmc_legs, "hmggirlfront", "armor_pmc_legs", "armor", debag);
			Createjson.addjson_domain(mod.armor_pmc_feet, "hmggirlfront", "armor_pmc_feet", "armor", debag);
			Createjson.addjson_domain(mod.armor_anticollapse_head, "hmggirlfront", "armor_anticollapse_head", "armor", debag);
			Createjson.addjson_domain(mod.armor_anticollapse_chest, "hmggirlfront", "armor_anticollapse_chest", "armor", debag);
			Createjson.addjson_domain(mod.armor_anticollapse_legs, "hmggirlfront", "armor_anticollapse_legs", "armor", debag);
			Createjson.addjson_domain(mod.armor_anticollapse_feet, "hmggirlfront", "armor_anticollapse_feet", "armor", debag);
			Createjson.addjson_domain(mod.armor_army_h_head, "hmggirlfront", "armor_army_h_head", "armor", debag);
			Createjson.addjson_domain(mod.armor_army_h_chest, "hmggirlfront", "armor_army_h_chest", "armor", debag);
			Createjson.addjson_domain(mod.armor_army_h_legs, "hmggirlfront", "armor_army_h_legs", "armor", debag);
			Createjson.addjson_domain(mod.armor_army_h_feet, "hmggirlfront", "armor_army_h_feet", "armor", debag);
			Createjson.addjson_domain(mod.armor_army_m_head, "hmggirlfront", "armor_army_m_head", "armor", debag);
			Createjson.addjson_domain(mod.armor_army_m_chest, "hmggirlfront", "armor_army_m_chest", "armor", debag);
			Createjson.addjson_domain(mod.armor_army_m_legs, "hmggirlfront", "armor_army_m_legs", "armor", debag);
			Createjson.addjson_domain(mod.armor_army_m_feet, "hmggirlfront", "armor_army_m_feet", "armor", debag);
		}
		{
			Createjson.addjson_domain(mod.dollam_horo, mod.MOD_ID, "dollam_horo", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_dotsight, mod.MOD_ID, "dollam_dotsight", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_acog, mod.MOD_ID, "dollam_acog", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_scope, mod.MOD_ID, "dollam_scope", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_micro, mod.MOD_ID, "dollam_micro", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_coyote, mod.MOD_ID, "dollam_coyote", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_kobra, mod.MOD_ID, "dollam_kobra", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_lasersight, mod.MOD_ID, "dollam_lasersight", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_suppressor, mod.MOD_ID, "dollam_suppressor", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_grip, mod.MOD_ID, "dollam_grip", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_anglegrip, mod.MOD_ID, "dollam_anglegrip", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bipod, mod.MOD_ID, "dollam_bipod", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_gripod, mod.MOD_ID, "dollam_gripod", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_m1903onlyscope, mod.MOD_ID, "dollam_m1903onlyscope", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_an_peq15, mod.MOD_ID, "dollam_an_peq15", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_eot_exps3, mod.MOD_ID, "dollam_eot_exps3", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_eot_exps3_416, mod.MOD_ID, "dollam_eot_exps3_416", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_oss_silencer, mod.MOD_ID, "dollam_oss_silencer", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_lam_unit, mod.MOD_ID, "dollam_lam_unit", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_ap, mod.MOD_ID, "dollam_bullet_ap", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_hv, mod.MOD_ID, "dollam_bullet_hv", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_ap2, mod.MOD_ID, "dollam_bullet_ap2", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_hv2, mod.MOD_ID, "dollam_bullet_hv2", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_ap3, mod.MOD_ID, "dollam_bullet_ap3", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_hv3, mod.MOD_ID, "dollam_bullet_hv3", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_hp, mod.MOD_ID, "dollam_bullet_hp", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_hp2, mod.MOD_ID, "dollam_bullet_hp2", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_hp3, mod.MOD_ID, "dollam_bullet_hp3", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_backshot, mod.MOD_ID, "dollam_bullet_backshot", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_backshot2, mod.MOD_ID, "dollam_bullet_backshot2", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_backshot3, mod.MOD_ID, "dollam_bullet_backshot3", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_srag, mod.MOD_ID, "dollam_bullet_srag", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_srag2, mod.MOD_ID, "dollam_bullet_srag2", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_srag3, mod.MOD_ID, "dollam_bullet_srag3", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_frag, mod.MOD_ID, "dollam_bullet_frag", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_frag2, mod.MOD_ID, "dollam_bullet_frag2", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bullet_frag3, mod.MOD_ID, "dollam_bullet_frag3", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_frame_m, mod.MOD_ID, "dollam_frame_m", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_frame_x, mod.MOD_ID, "dollam_frame_x", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_frame_m2, mod.MOD_ID, "dollam_frame_m2", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_frame_x2, mod.MOD_ID, "dollam_frame_x2", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_frame_m3, mod.MOD_ID, "dollam_frame_m3", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_frame_x3, mod.MOD_ID, "dollam_frame_x3", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bodyarmor, mod.MOD_ID, "dollam_bodyarmor", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bodyarmor2, mod.MOD_ID, "dollam_bodyarmor2", "attachment", debag);
			Createjson.addjson_domain(mod.dollam_bodyarmor3, mod.MOD_ID, "dollam_bodyarmor3", "attachment", debag);
			
			Createjson.addjson_domain(mod.dollam_class_assalt, mod.MOD_ID, "dollam_class_assalt", "item", debag);
			Createjson.addjson_domain(mod.dollam_class_medic, mod.MOD_ID, "dollam_class_medic", "item", debag);
			Createjson.addjson_domain(mod.dollam_class_support, mod.MOD_ID, "dollam_class_support", "item", debag);
			Createjson.addjson_domain(mod.dollam_class_scout, mod.MOD_ID, "dollam_class_scout", "item", debag);
			Createjson.addjson_domain(mod.dollam_class_torcher, mod.MOD_ID, "dollam_class_torcher", "item", debag);
		}
		
		
		//subarm
		{
			Createjson.addjsongun_domain(mod.subarm_tec9, "hmggirlfront", "subarm_tec9", "gun", debag);
			Createjson.addjsongun_domain(mod.subarm_ak12prt, "hmggirlfront", "subarm_ak12prt", "gun", debag);
			Createjson.addjsongun_domain(mod.subarm_ar15, "hmggirlfront", "subarm_ar15", "gun", debag);
			Createjson.addjsongun_domain(mod.subarm_m2c, "hmggirlfront", "subarm_m2c", "gun", debag);
			Createjson.addjsongun_domain(mod.subarm_pp2000, "hmggirlfront", "subarm_pp2000", "gun", debag);
			Createjson.addjsongun_domain(mod.subarm_mk18c, "hmggirlfront", "subarm_mk18c", "gun", debag);
		}
		
		
			//AR
			{
				Createjson.addjsongun_domain(mod.dollgun_m4a1, "hmggirlfront", "dollgun_m4a1", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_m4a1, mod.MOD_ID, "core_m4a1","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_t95, "hmggirlfront", "dollgun_t95", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_t95, mod.MOD_ID, "core_t95","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_t97, "hmggirlfront", "dollgun_t97", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_t97, mod.MOD_ID, "core_t97","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_g36, "hmggirlfront", "dollgun_g36", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_g36, mod.MOD_ID, "core_g36","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_f2000, "hmggirlfront", "dollgun_f2000", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_f2000, mod.MOD_ID, "core_f2000","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_l85a1, "hmggirlfront", "dollgun_l85a1", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_l85a1, mod.MOD_ID, "core_l85a1","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_galil, "hmggirlfront", "dollgun_galil", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_galil, mod.MOD_ID, "core_galil","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_416, "hmggirlfront", "dollgun_416", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_416, mod.MOD_ID, "core_416","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_gr_g11, "hmggirlfront", "dollgun_gr_g11", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_gr_g11, mod.MOD_ID, "core_gr_g11","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_ff_fnc, "hmggirlfront", "dollgun_ff_fnc", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_ff_fnc, mod.MOD_ID, "core_ff_fnc","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_gr_g3, "hmggirlfront", "dollgun_gr_g3", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_gr_g3, mod.MOD_ID, "core_gr_g3","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_st_ar15, "hmggirlfront", "dollgun_st_ar15", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_st_ar15, mod.MOD_ID, "core_st_ar15","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_hk33, "hmggirlfront", "dollgun_hk33", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_hk33, mod.MOD_ID, "core_hk33","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_9a91, "hmggirlfront", "dollgun_9a91", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_9a91, mod.MOD_ID, "core_9a91","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_stg44, "hmggirlfront", "dollgun_stg44", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_stg44, mod.MOD_ID, "core_stg44","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_type64, "hmggirlfront", "dollgun_type64", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_type64, mod.MOD_ID, "core_type64","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_am_rfb, "hmggirlfront", "dollgun_am_rfb", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_am_rfb, mod.MOD_ID, "core_am_rfb","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_an94, "hmggirlfront", "dollgun_an94", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_an94, mod.MOD_ID, "core_an94","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_fal, "hmggirlfront", "dollgun_fal", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_fal, mod.MOD_ID, "core_fal","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_gr_g41, "hmggirlfront", "dollgun_gr_g41", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_gr_g41, mod.MOD_ID, "core_gr_g41","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_type89_j, "hmggirlfront", "dollgun_type89_j", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_type89_j, mod.MOD_ID, "core_type89_j","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_m16a1, "hmggirlfront", "dollgun_m16a1", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_m16a1, mod.MOD_ID, "core_m16a1","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_m4sopmod, "hmggirlfront", "dollgun_m4sopmod", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_m4sopmod, mod.MOD_ID, "core_m4sopmod","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_howa556, "hmggirlfront", "dollgun_howa556", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_howa556, mod.MOD_ID, "core_howa556","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_ak12, "hmggirlfront", "dollgun_ak12", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_ak12, mod.MOD_ID, "core_ak12","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_arx160, "hmggirlfront", "dollgun_arx160", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_arx160, mod.MOD_ID, "core_arx160","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_sig_mcx, "hmggirlfront", "dollgun_sig_mcx", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_sig_mcx, mod.MOD_ID, "core_sig_mcx","core/ar", debag);
				
				Createjson.addjsongun_domain(mod.dollgun_a91, "hmggirlfront", "dollgun_a91", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_a91, mod.MOD_ID, "core_a91","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_ak74m, "hmggirlfront", "dollgun_ak74m", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_ak74m, mod.MOD_ID, "core_ak74m","core/ar", debag);
				
				Createjson.addjsongun_domain(mod.dollgun_type56_1, "hmggirlfront", "dollgun_type56_1", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_type56_1, mod.MOD_ID, "core_type56_1","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_xm177e2, "hmggirlfront", "dollgun_xm177e2", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_xm177e2, mod.MOD_ID, "core_xm177e2","core/ar", debag);
				
				Createjson.addjsongun_domain(mod.dollgun_ots14, "hmggirlfront", "dollgun_ots14", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_ots14, mod.MOD_ID, "core_ots14","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_type63, "hmggirlfront", "dollgun_type63", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_type63, mod.MOD_ID, "core_type63","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_ak15, "hmggirlfront", "dollgun_ak15", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_ak15, mod.MOD_ID, "core_ak15","core/ar", debag);
				Createjson.addjsongun_domain(mod.dollgun_aug, "hmggirlfront", "dollgun_aug", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_aug, mod.MOD_ID, "core_aug","core/ar", debag);
				
				Createjson.addjsongun_domain(mod.dollgun_magal, "hmggirlfront", "dollgun_magal", "gun/ar", debag);
				Createjson.addjson_domain(mod.core_magal, mod.MOD_ID, "core_magal","core/ar", debag);
			}
			//GL
		{
			Createjson.addjsongun_domain(mod.dollgun_m79, "hmggirlfront", "dollgun_m79", "gun/gl", debag);
			Createjson.addjson_domain(mod.core_m79, mod.MOD_ID, "core_m79","core/gl", debag);
			Createjson.addjsongun_domain(mod.dollgun_m320, "hmggirlfront", "dollgun_m320", "gun/gl", debag);
			Createjson.addjson_domain(mod.core_m320, mod.MOD_ID, "core_m320","core/gl", debag);
			Createjson.addjsongun_domain(mod.dollgun_xm25, "hmggirlfront", "dollgun_xm25", "gun/gl", debag);
			Createjson.addjson_domain(mod.core_xm25, mod.MOD_ID, "core_xm25","core/gl", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_lmt_m203_12inch, "hmggirlfront", "dollgun_lmt_m203_12inch", "gun/gl", debag);
			Createjson.addjson_domain(mod.core_lmt_m203_12inch, mod.MOD_ID, "core_lmt_m203_12inch","core/gl", debag);
			Createjson.addjsongun_domain(mod.dollgun_lmt_shorty_40, "hmggirlfront", "dollgun_lmt_shorty_40", "gun/gl", debag);
			Createjson.addjson_domain(mod.core_lmt_shorty_40, mod.MOD_ID, "core_lmt_shorty_40","core/gl", debag);
		}
		//MG
		{
			Createjson.addjsongun_domain(mod.dollgun_pkm, "hmggirlfront", "dollgun_pkm", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_pkm, mod.MOD_ID, "core_pkm","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_gr_mg4, "hmggirlfront", "dollgun_gr_mg4", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_gr_mg4, mod.MOD_ID, "core_gr_mg4","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_mg34, "hmggirlfront", "dollgun_mg34", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_mg34, mod.MOD_ID, "core_mg34","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_mg36, "hmggirlfront", "dollgun_mg36", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_mg36, mod.MOD_ID, "core_mg36","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_negev, "hmggirlfront", "dollgun_negev", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_negev, mod.MOD_ID, "core_negev","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_gr_mg5, "hmggirlfront", "dollgun_gr_mg5", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_gr_mg5, mod.MOD_ID, "core_gr_mg5","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_gr_mg23, "hmggirlfront", "dollgun_gr_mg23", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_gr_mg23, mod.MOD_ID, "core_gr_mg23","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_mg42, "hmggirlfront", "dollgun_mg42", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_mg42, mod.MOD_ID, "core_mg42","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_dp28, "hmggirlfront", "dollgun_dp28", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_dp28, mod.MOD_ID, "core_dp28","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_rpd, "hmggirlfront", "dollgun_rpd", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_rpd, mod.MOD_ID, "core_rpd","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_pkp, "hmggirlfront", "dollgun_pkp", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_pkp, mod.MOD_ID, "core_pkp","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_lewis, "hmggirlfront", "dollgun_lewis", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_lewis, mod.MOD_ID, "core_lewis","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_lwmmg, "hmggirlfront", "dollgun_lwmmg", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_lwmmg, mod.MOD_ID, "core_lwmmg","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_aek999, "hmggirlfront", "dollgun_aek999", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_aek999, mod.MOD_ID, "core_aek999","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_m249saw, "hmggirlfront", "dollgun_m249saw", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_m249saw, mod.MOD_ID, "core_m249saw","core/mg", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_m1918, "hmggirlfront", "dollgun_m1918", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_m1918, mod.MOD_ID, "core_m1918","core/mg", debag);
			Createjson.addjsongun_domain(mod.dollgun_kord, "hmggirlfront", "dollgun_kord", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_kord, mod.MOD_ID, "core_kord","core/mg", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_rpk16, "hmggirlfront", "dollgun_rpk16", "gun/mg", debag);
			Createjson.addjson_domain(mod.core_rpk16, mod.MOD_ID, "core_rpk16","core/mg", debag);
		}
		//HG
		{
			Createjson.addjsongun_domain(mod.dollgun_m9, "hmggirlfront", "dollgun_m9", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_m9, mod.MOD_ID, "core_m9","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_g17, "hmggirlfront", "dollgun_g17", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_g17, mod.MOD_ID, "core_g17","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_m1911, "hmggirlfront", "dollgun_m1911", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_m1911, mod.MOD_ID, "core_m1911","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_p38, "hmggirlfront", "dollgun_p38", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_p38, mod.MOD_ID, "core_p38","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_stechkin, "hmggirlfront", "dollgun_stechkin", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_stechkin, mod.MOD_ID, "core_stechkin","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_fn57, "hmggirlfront", "dollgun_fn57", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_fn57, mod.MOD_ID, "core_fn57","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_hk45, "hmggirlfront", "dollgun_hk45", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_hk45, mod.MOD_ID, "core_hk45","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_astra, "hmggirlfront", "dollgun_astra", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_astra, mod.MOD_ID, "core_astra","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_gr_mk23, "hmggirlfront", "dollgun_gr_mk23", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_gr_mk23, mod.MOD_ID, "core_gr_mk23","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_welrod, "hmggirlfront", "dollgun_welrod", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_welrod, mod.MOD_ID, "core_welrod","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_uspc, "hmggirlfront", "dollgun_uspc", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_uspc, mod.MOD_ID, "core_uspc","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_pm, "hmggirlfront", "dollgun_pm", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_pm, mod.MOD_ID, "core_pm","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_tt33, "hmggirlfront", "dollgun_tt33", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_tt33, mod.MOD_ID, "core_tt33","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_ppk, "hmggirlfront", "dollgun_ppk", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_ppk, mod.MOD_ID, "core_ppk","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_deserteagle, "hmggirlfront", "dollgun_deserteagle", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_deserteagle, mod.MOD_ID, "core_deserteagle","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_p226, "hmggirlfront", "dollgun_p226", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_p226, mod.MOD_ID, "core_p226","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_thunder, "hmggirlfront", "dollgun_thunder", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_thunder, mod.MOD_ID, "core_thunder","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_m1895, "hmggirlfront", "dollgun_m1895", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_m1895, mod.MOD_ID, "core_m1895","core/hg", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_gsh18, "hmggirlfront", "dollgun_gsh18", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_gsh18, mod.MOD_ID, "core_gsh18","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_spp1, "hmggirlfront", "dollgun_spp1", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_spp1, mod.MOD_ID, "core_spp1","core/hg", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_m327, "hmggirlfront", "dollgun_m327", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_m327, mod.MOD_ID, "core_m327","core/hg", debag);
			Createjson.addjsongun_domain(mod.dollgun_p7, "hmggirlfront", "dollgun_p7", "gun/hg", debag);
			Createjson.addjson_domain(mod.core_p7, mod.MOD_ID, "core_p7","core/hg", debag);
		}
		//RF
		{
			Createjson.addjsongun_domain(mod.dollgun_m14, "hmggirlfront", "dollgun_m14", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_m14, mod.MOD_ID, "core_m14","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_fn49, "hmggirlfront", "dollgun_fn49", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_fn49, mod.MOD_ID, "core_fn49","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_wa2000, "hmggirlfront", "dollgun_wa2000", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_wa2000, mod.MOD_ID, "core_wa2000","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_supersass, "hmggirlfront", "dollgun_supersass", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_supersass, mod.MOD_ID, "core_supersass","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_gr_g28, "hmggirlfront", "dollgun_gr_g28", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_gr_g28, mod.MOD_ID, "core_gr_g28","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_sks, "hmggirlfront", "dollgun_sks", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_sks, mod.MOD_ID, "core_sks","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_m200, "hmggirlfront", "dollgun_m200", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_m200, mod.MOD_ID, "core_m200","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_svd, "hmggirlfront", "dollgun_svd", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_svd, mod.MOD_ID, "core_svd","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_sm1, "hmggirlfront", "dollgun_sm1", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_sm1, mod.MOD_ID, "core_sm1","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_m1903, "hmggirlfront", "dollgun_m1903", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_m1903, mod.MOD_ID, "core_m1903","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_sv98, "hmggirlfront", "dollgun_sv98", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_sv98, mod.MOD_ID, "core_sv98","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_iws2000, "hmggirlfront", "dollgun_iws2000", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_iws2000, mod.MOD_ID, "core_iws2000","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_type4_j, "hmggirlfront", "dollgun_type4_j", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_type4_j, mod.MOD_ID, "core_type4_j","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_falcon, "hmggirlfront", "dollgun_falcon", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_falcon, mod.MOD_ID, "core_falcon","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_kar98k, "hmggirlfront", "dollgun_kar98k", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_kar98k, mod.MOD_ID, "core_kar98k","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_vsk94, "hmggirlfront", "dollgun_vsk94", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_vsk94, mod.MOD_ID, "core_vsk94","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_ntw20, "hmggirlfront", "dollgun_ntw20", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_ntw20, mod.MOD_ID, "core_ntw20","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_gm6, "hmggirlfront", "dollgun_gm6", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_gm6, mod.MOD_ID, "core_gm6","core/rf", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_m1_garand, "hmggirlfront", "dollgun_m1_garand", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_m1_garand, mod.MOD_ID, "core_m1_garand","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_r93, "hmggirlfront", "dollgun_r93", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_r93, mod.MOD_ID, "core_r93","core/rf", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_general_liu, "hmggirlfront", "dollgun_general_liu", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_general_liu, mod.MOD_ID, "core_general_liu","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_type81, "hmggirlfront", "dollgun_type81", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_type81, mod.MOD_ID, "core_type81","core/rf", debag);
			Createjson.addjsongun_domain(mod.dollgun_dsr50, "hmggirlfront", "dollgun_dsr50", "gun/rf", debag);
			Createjson.addjson_domain(mod.core_dsr50, mod.MOD_ID, "core_dsr50","core/rf", debag);
		}
		//SG
		{
			Createjson.addjsongun_domain(mod.dollgun_m1014, "hmggirlfront", "dollgun_m1014", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_m1014, mod.MOD_ID, "core_m1014","core/sg", debag);
			Createjson.addjsongun_domain(mod.dollgun_aa12, "hmggirlfront", "dollgun_aa12", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_aa12, mod.MOD_ID, "core_aa12","core/sg", debag);
			Createjson.addjsongun_domain(mod.dollgun_usas12, "hmggirlfront", "dollgun_usas12", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_usas12, mod.MOD_ID, "core_usas12","core/sg", debag);
			Createjson.addjsongun_domain(mod.dollgun_m1897, "hmggirlfront", "dollgun_m1897", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_m1897, mod.MOD_ID, "core_m1897","core/sg", debag);
			Createjson.addjsongun_domain(mod.dollgun_rmb93, "hmggirlfront", "dollgun_rmb93", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_rmb93, mod.MOD_ID, "core_rmb93","core/sg", debag);
			Createjson.addjsongun_domain(mod.dollgun_m590, "hmggirlfront", "dollgun_m590", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_m590, mod.MOD_ID, "core_m590","core/sg", debag);
			Createjson.addjsongun_domain(mod.dollgun_six12, "hmggirlfront", "dollgun_six12", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_six12, mod.MOD_ID, "core_six12","core/sg", debag);
			Createjson.addjsongun_domain(mod.dollgun_am_ksg, "hmggirlfront", "dollgun_am_ksg", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_am_ksg, mod.MOD_ID, "core_am_ksg","core/sg", debag);
			Createjson.addjsongun_domain(mod.dollgun_spas12, "hmggirlfront", "dollgun_spas12", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_spas12, mod.MOD_ID, "core_spas12","core/sg", debag);
			Createjson.addjsongun_domain(mod.dollgun_sat8, "hmggirlfront", "dollgun_sat8", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_sat8, mod.MOD_ID, "core_sat8","core/sg", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_dp12, "hmggirlfront", "dollgun_dp12", "gun/sg", debag);
			Createjson.addjson_domain(mod.core_dp12, mod.MOD_ID, "core_dp12","core/sg", debag);
		}
		//SMG
		{
			Createjson.addjsongun_domain(mod.dollgun_t100, "hmggirlfront", "dollgun_t100", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_t100, mod.MOD_ID, "core_t100","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_m10, "hmggirlfront", "dollgun_m10", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_m10, mod.MOD_ID, "core_m10","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_mp40, "hmggirlfront", "dollgun_mp40", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_mp40, mod.MOD_ID, "core_mp40","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_idw, "hmggirlfront", "dollgun_idw", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_idw, mod.MOD_ID, "core_idw","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_vector, "hmggirlfront", "dollgun_vector", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_vector, mod.MOD_ID, "core_vector","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_ump9, "hmggirlfront", "dollgun_ump9", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_ump9, mod.MOD_ID, "core_ump9","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_ump45, "hmggirlfront", "dollgun_ump45", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_ump45, mod.MOD_ID, "core_ump45","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_ump40, "hmggirlfront", "dollgun_ump40", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_ump40, mod.MOD_ID, "core_ump40","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_tmp, "hmggirlfront", "dollgun_tmp", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_tmp, mod.MOD_ID, "core_tmp","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_mab38, "hmggirlfront", "dollgun_mab38", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_mab38, mod.MOD_ID, "core_mab38","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_z62, "hmggirlfront", "dollgun_z62", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_z62, mod.MOD_ID, "core_z62","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_suomi, "hmggirlfront", "dollgun_suomi", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_suomi, mod.MOD_ID, "core_suomi","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_ro635, "hmggirlfront", "dollgun_ro635", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_ro635, mod.MOD_ID, "core_ro635","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_sr3mp, "hmggirlfront", "dollgun_sr3mp", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_sr3mp, mod.MOD_ID, "core_sr3mp","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_vz61, "hmggirlfront", "dollgun_vz61", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_vz61, mod.MOD_ID, "core_vz61","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_stenmk2, "hmggirlfront", "dollgun_stenmk2", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_stenmk2, mod.MOD_ID, "core_stenmk2","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_gr_g36c, "hmggirlfront", "dollgun_gr_g36c", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_gr_g36c, mod.MOD_ID, "core_gr_g36c","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_gr_mp5, "hmggirlfront", "dollgun_gr_mp5", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_gr_mp5, mod.MOD_ID, "core_gr_mp5","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_pps43, "hmggirlfront", "dollgun_pps43", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_pps43, mod.MOD_ID, "core_pps43","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_mat49, "hmggirlfront", "dollgun_mat49", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_mat49, mod.MOD_ID, "core_mat49","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_type79, "hmggirlfront", "dollgun_type79", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_type79, mod.MOD_ID, "core_type79","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_kpist_m45, "hmggirlfront", "dollgun_kpist_m45", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_kpist_m45, mod.MOD_ID, "core_kpist_m45","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_gr_mp7, "hmggirlfront", "dollgun_gr_mp7", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_gr_mp7, mod.MOD_ID, "core_gr_mp7","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_p90, "hmggirlfront", "dollgun_p90", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_p90, mod.MOD_ID, "core_p90","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_fmg9, "hmggirlfront", "dollgun_fmg9", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_fmg9, mod.MOD_ID, "core_fmg9","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_cms, "hmggirlfront", "dollgun_cms", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_cms, mod.MOD_ID, "core_cms","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_ar57, "hmggirlfront", "dollgun_ar57", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_ar57, mod.MOD_ID, "core_ar57","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_m1928a1, "hmggirlfront", "dollgun_m1928a1", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_m1928a1, mod.MOD_ID, "core_m1928a1","core/smg", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_pp19, "hmggirlfront", "dollgun_pp19", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_pp19, mod.MOD_ID, "core_pp19","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_ppsh41, "hmggirlfront", "dollgun_ppsh41", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_ppsh41, mod.MOD_ID, "core_ppsh41","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_m3, "hmggirlfront", "dollgun_m3", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_m3, mod.MOD_ID, "core_m3","core/smg", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_apc9k, "hmggirlfront", "dollgun_apc9k", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_apc9k, mod.MOD_ID, "core_apc9k","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_aug_para, "hmggirlfront", "dollgun_aug_para", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_aug_para, mod.MOD_ID, "core_aug_para","core/smg", debag);
			Createjson.addjsongun_domain(mod.dollgun_micro_uzi, "hmggirlfront", "dollgun_micro_uzi", "gun/smg", debag);
			Createjson.addjson_domain(mod.core_micro_uzi, mod.MOD_ID, "core_micro_uzi","core/smg", debag);
		}
		
		//HL
		{
			Createjson.addjsongun_domain(mod.dollgun_at4, "hmggirlfront", "dollgun_at4", "gun/hl", debag);
			Createjson.addjson_domain(mod.core_at4, mod.MOD_ID, "core_at4","core/hl", debag);
			
			Createjson.addjsongun_domain(mod.dollgun_ags30, "hmggirlfront", "dollgun_ags30", "gun/hl", debag);
			Createjson.addjson_domain(mod.core_ags30, mod.MOD_ID, "core_ags30","core/hl", debag);
			Createjson.addjsongun_domain(mod.dollgun_bgm71, "hmggirlfront", "dollgun_bgm71", "gun/hl", debag);
			Createjson.addjson_domain(mod.core_bgm71, mod.MOD_ID, "core_bgm71","core/hl", debag);
			Createjson.addjsongun_domain(mod.dollgun_m2m, "hmggirlfront", "dollgun_m2m", "gun/hl", debag);
			Createjson.addjson_domain(mod.core_m2m, mod.MOD_ID, "core_m2m","core/hl", debag);
			Createjson.addjsongun_domain(mod.dollgun_mk47, "hmggirlfront", "dollgun_mk47", "gun/hl", debag);
			Createjson.addjson_domain(mod.core_mk47, mod.MOD_ID, "core_mk47","core/hl", debag);
			Createjson.addjsongun_domain(mod.dollgun_2b14, "hmggirlfront", "dollgun_2b14", "gun/hl", debag);
			Createjson.addjson_domain(mod.core_2b14, mod.MOD_ID, "core_2b14","core/hl", debag);
		}
		
		
		//drone
		{
			Createjson.addjson_domain(mod.item_drone, mod.MOD_ID, "item_drone","spawn", debag);
			Createjson.addjson_domain(mod.drone_command, mod.MOD_ID, "drone_command","spawn", debag);
			Createjson.addjson_domain(mod.drone_mortar, mod.MOD_ID, "drone_mortar","spawn", debag);
			Createjson.addjson_domain(mod.drone_airborne, mod.MOD_ID, "drone_airborne","spawn", debag);
			Createjson.addjson_domain(mod.drone_bomber, mod.MOD_ID, "drone_bomber","spawn", debag);
			Createjson.addjson_domain(mod.drone_decoy, mod.MOD_ID, "drone_decoy","spawn", debag);
		}
		
		
	}
}
